<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXCheckBox?>
<?import com.jfoenix.controls.JFXListView?>
<?import com.jfoenix.controls.JFXSlider?>
<?import javafx.scene.control.ChoiceBox?>
<?import javafx.scene.control.ColorPicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ProgressBar?>
<?import javafx.scene.control.ScrollBar?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.ToggleButton?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.shape.Line?>
<?import javafx.scene.text.Font?>
<?import org.controlsfx.control.textfield.CustomTextField?>

<VBox fx:id="root" maxHeight="-Infinity" prefHeight="550.0" prefWidth="497.0" stylesheets="file:resource/style.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.OpenRSC.Interface.SpriteTool.Controller">
   <children>
      <HBox fx:id="hbox_menu" maxHeight="-Infinity" prefHeight="52.0" prefWidth="558.0" style="-fx-border-color: #000000;">
         <children>
            <JFXButton fx:id="button_new_workspace" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="109.0" text="New Workspace" textAlignment="CENTER" />
            <JFXButton fx:id="button_open_workspace" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="110.0" text="Open Workspace" textAlignment="CENTER" />
            <JFXButton fx:id="button_save_workspace" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="105.0" text="Save Workspace" textAlignment="CENTER" />
            <JFXButton fx:id="button_export" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="85.0" text="Export PNG" />
            <JFXButton fx:id="button_pack_archive" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="85.0" text="Pack Archive" />
            <JFXButton fx:id="button_unpack_archive" buttonType="RAISED" contentDisplay="TOP" minWidth="-Infinity" prefWidth="103.0" text="Unpack Archive" />
            <ImageView fitHeight="17.0" fitWidth="15.0" pickOnBounds="true" preserveRatio="true" />
            <ImageView fx:id="image_logo" fitHeight="53.0" pickOnBounds="true" />
         </children>
      </HBox>
      <VBox maxHeight="-Infinity" prefHeight="497.0" prefWidth="752.0">
         <children>
            <HBox maxHeight="-Infinity" prefHeight="407.0" prefWidth="752.0">
               <children>
                  <AnchorPane fx:id="anchorPane" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="430.0" prefWidth="562.0">
                     <children>
                        <JFXListView fx:id="list_entries" layoutX="29.0" layoutY="31.0" prefHeight="399.0" prefWidth="130.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="5.0" AnchorPane.topAnchor="31.0" />
                        <AnchorPane layoutX="139.0" layoutY="52.0" maxHeight="-Infinity" maxWidth="-Infinity" minWidth="-Infinity" prefHeight="320.0" prefWidth="105.0" style="-fx-border-color: #000000;" AnchorPane.bottomAnchor="111.0" AnchorPane.topAnchor="-1.0">
                           <children>
                              <Label layoutX="15.0" prefHeight="15.0" prefWidth="67.0" style="-fx-alignment: center;" text="Entry Info" textAlignment="CENTER" />
                              <Label layoutX="5.0" layoutY="19.0" prefHeight="18.0" prefWidth="58.0" text="Name" AnchorPane.leftAnchor="2.0" AnchorPane.rightAnchor="0.0" />
                              <TextField fx:id="text_name" layoutX="3.0" layoutY="37.0" prefHeight="26.0" prefWidth="99.0" />
                              <JFXCheckBox fx:id="check_shift" alignment="CENTER" checkedColor="#007b58" contentDisplay="RIGHT" layoutX="-3.0" layoutY="119.0" nodeOrientation="LEFT_TO_RIGHT" prefHeight="18.0" prefWidth="88.0" text="Use Shift" AnchorPane.topAnchor="119.0" />
                              <Label layoutX="5.0" layoutY="138.0" text="Vertical Shift" />
                              <TextField fx:id="text_vshift" layoutX="3.0" layoutY="156.0" prefHeight="26.0" prefWidth="74.0" />
                              <TextField fx:id="text_hshift" layoutX="3.0" layoutY="202.0" prefHeight="26.0" prefWidth="74.0" />
                              <Label layoutX="5.0" layoutY="183.0" prefHeight="18.0" prefWidth="88.0" text="Horizontal Shift" />
                              <Label layoutX="5.0" layoutY="274.0" prefHeight="18.0" prefWidth="78.0" text="Bound Width" />
                              <Label layoutX="5.0" layoutY="229.0" text="Bound Height" />
                              <TextField fx:id="text_boundw" layoutX="3.0" layoutY="293.0" prefHeight="26.0" prefWidth="99.0" />
                              <TextField fx:id="text_boundh" layoutX="3.0" layoutY="247.0" prefHeight="26.0" prefWidth="99.0" />
                              <Line endX="-9.0" endY="-99.61210632324219" layoutX="10.0" layoutY="19.0" startX="94.0" startY="-99.61212921142578" AnchorPane.topAnchor="18.0" />
                              <Line endX="62.0" endY="-3.0000152587890625" layoutX="42.0" layoutY="122.0" startX="-41.0" startY="-3.0" />
                              <Line endX="-8.0" endY="-1.52587890625E-5" layoutX="112.0" layoutY="100.0" startX="-110.99996948242188" startY="-1.52587890625E-5" />
                              <Label layoutX="23.0" layoutY="100.0" text="Frame Info" />
                              <Label layoutX="5.0" layoutY="63.0" text="Unique Colors" />
                              <Label fx:id="label_color_count" layoutX="5.0" layoutY="79.0" />
                              <JFXButton fx:id="button_decimate" buttonType="RAISED" graphicTextGap="0.0" layoutX="75.0" layoutY="79.0" maxHeight="-Infinity" prefHeight="20.0" prefWidth="30.0" text="FIX">
                                 <font>
                                    <Font size="9.0" />
                                 </font>
                              </JFXButton>
                              <JFXButton fx:id="button_fit" buttonType="RAISED" graphicTextGap="0.0" layoutX="80.0" layoutY="229.0" minHeight="-Infinity" minWidth="-Infinity" prefHeight="17.0" prefWidth="25.0" text="FIT">
                                 <font>
                                    <Font size="9.0" />
                                 </font>
                              </JFXButton>
                              <JFXButton fx:id="button_vshift_dec" buttonType="RAISED" graphicTextGap="0.0" layoutX="79.0" layoutY="169.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="12.0" prefWidth="26.0" text="Button" />
                              <JFXButton fx:id="button_vshift_inc" buttonType="RAISED" graphicTextGap="0.0" layoutX="79.0" layoutY="157.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="12.0" prefWidth="26.0" />
                              <JFXButton fx:id="button_hshift_inc" layoutX="79.0" layoutY="203.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="13.0" prefWidth="26.0" />
                              <JFXButton fx:id="button_hshift_dec" layoutX="79.0" layoutY="215.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="12.0" prefWidth="26.0" />
                           </children>
                        </AnchorPane>
                        <ImageView fx:id="canvas" fitHeight="300.0" fitWidth="300.0" layoutX="243.0" layoutY="52.0" pickOnBounds="true" preserveRatio="true" AnchorPane.topAnchor="0.0" />
                        <Line endX="198.0" endY="-1.0" layoutX="346.0" layoutY="301.0" startX="-101.0" startY="-0.5" AnchorPane.topAnchor="299.2928931713104" />
                        <Line endX="0.70709228515625" endY="248.29290771484375" layoutX="544.0" layoutY="104.0" startY="-51.00000762939453" AnchorPane.topAnchor="0.0" />
                        <ScrollBar fx:id="scroll_canvas" layoutX="246.0" layoutY="301.0" max="1.0" min="1.0" prefHeight="14.0" prefWidth="300.0" value="1.0" />
                        <ScrollBar fx:id="scroll_zoom" disable="true" layoutX="545.0" max="149.0" min="-149.0" orientation="VERTICAL" prefHeight="300.0" prefWidth="14.0" AnchorPane.topAnchor="0.0" />
                        <AnchorPane fx:id="pane_animation" layoutX="242.0" layoutY="315.0" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="112.0" prefWidth="418.0" style="-fx-border-color: #000000;" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="139.0" AnchorPane.rightAnchor="5.0">
                           <children>
                              <Label layoutX="296.0" layoutY="5.0" text="Grayscale" />
                              <Label layoutX="296.0" layoutY="59.0" text="Bluescale" />
                              <ColorPicker fx:id="color_bluescale" layoutX="295.0" layoutY="79.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="26.0" prefWidth="118.0" />
                              <ColorPicker fx:id="color_grayscale" layoutX="295.0" layoutY="26.0" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="26.0" prefWidth="118.0" />
                              <JFXButton fx:id="button_changepng" buttonType="RAISED" graphicTextGap="0.0" layoutX="227.0" layoutY="79.0" prefHeight="30.0" prefWidth="30.0" styleClass="glass-grey" />
                              <Label layoutX="182.0" layoutY="59.0" prefHeight="18.0" prefWidth="39.0" text="Frame" AnchorPane.leftAnchor="182.0" />
                              <JFXButton fx:id="button_changeallframes" buttonType="RAISED" layoutX="181.0" layoutY="79.0" prefHeight="30.0" prefWidth="30.0" styleClass="glass-grey" />
                              <Label fx:id="label_frame" layoutX="219.0" layoutY="59.0" prefHeight="18.0" prefWidth="49.0" />
                              <Label layoutX="8.0" layoutY="7.0" text="Animation Type" />
                              <Label layoutX="7.0" layoutY="60.0" text="Slot" AnchorPane.leftAnchor="7.0" />
                              <ChoiceBox fx:id="choice_type" disable="true" layoutX="5.0" layoutY="29.0" prefHeight="26.0" prefWidth="130.0" />
                              <ChoiceBox fx:id="choice_layer" disable="true" layoutX="5.0" layoutY="77.0" prefHeight="26.0" prefWidth="130.0" />
                              <Line endX="-11.60003662109375" endY="47.599998474121094" layoutX="156.0" layoutY="55.0" startX="-11.60003662109375" startY="-61.0" AnchorPane.bottomAnchor="0.0" />
                              <Line endX="5.0" endY="45.0" layoutX="283.0" layoutY="63.0" startX="5.0" startY="-63.0" AnchorPane.bottomAnchor="0.0" />
                              <ToggleButton fx:id="button_play" layoutX="200.0" layoutY="3.0" mnemonicParsing="false" prefHeight="28.0" prefWidth="30.0" />
                              <JFXSlider fx:id="slider_period" layoutX="145.0" layoutY="35.0" max="1000.0" min="100.0" value="550.0" />
                              <Line endX="71.5" endY="-0.09998321533203125" layoutX="216.0" layoutY="56.0" startX="-72.10003662109375" startY="0.20000457763671875" />
                              <JFXButton fx:id="button_copy_colors" layoutX="383.0" prefHeight="20.0" prefWidth="35.0" />
                           </children>
                        </AnchorPane>
                        <CustomTextField fx:id="text_search" layoutX="6.0" layoutY="2.0" prefHeight="14.0" prefWidth="130.0" AnchorPane.leftAnchor="5.0" />
                     </children>
                  </AnchorPane>
                  <AnchorPane maxHeight="-Infinity" prefHeight="425.0" prefWidth="190.0">
                     <children>
                        <Label layoutX="81.0" layoutY="67.0" text="Basic" />
                        <Label layoutX="2.0" layoutY="115.0" text="Body" />
                        <Label layoutX="2.0" layoutY="89.0" text="Head" />
                        <Label layoutX="2.0" layoutY="141.0" text="Legs" />
                        <Label layoutX="66.0" layoutY="179.0" text="Equipment" />
                        <Label layoutX="2.0" layoutY="201.0" text="Head" />
                        <Label layoutX="2.0" layoutY="227.0" text="Body" />
                        <Label layoutX="2.0" layoutY="253.0" text="Legs" />
                        <Label layoutX="2.0" layoutY="279.0" text="Main" />
                        <Label layoutX="2.0" layoutY="305.0" text="Sub" />
                        <Label layoutX="2.0" layoutY="331.0" text="Glove" />
                        <Label layoutX="2.0" layoutY="357.0" text="Boot" />
                        <Label layoutX="2.0" layoutY="383.0" text="Neck" />
                        <Label layoutX="2.0" layoutY="409.0" text="Cape" />
                        <JFXCheckBox fx:id="check_render" layoutX="40.0" layoutY="5.0" text="Render Player" />
                        <Line endX="106.00003051757812" layoutX="83.0" layoutY="60.0" startX="-84.9999771118164" />
                        <Line endX="91.0" layoutX="98.0" layoutY="172.0" startX="-100.0" />
                        <ChoiceBox fx:id="choice_basic_head" layoutX="35.0" layoutY="85.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_basic_body" layoutX="35.0" layoutY="111.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_basic_legs" layoutX="35.0" layoutY="137.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_head" layoutX="35.0" layoutY="197.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_body" layoutX="35.0" layoutY="223.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_legs" layoutX="35.0" layoutY="249.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_main" layoutX="35.0" layoutY="275.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_sub" layoutX="35.0" layoutY="301.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_glove" layoutX="35.0" layoutY="327.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_boot" layoutX="35.0" layoutY="353.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_neck" layoutX="35.0" layoutY="379.0" prefWidth="150.0" />
                        <ChoiceBox fx:id="choice_cape" layoutX="35.0" layoutY="405.0" prefWidth="150.0" />
                        <JFXButton fx:id="button_male" layoutX="65.0" layoutY="25.0" prefHeight="28.0" prefWidth="28.0" />
                        <JFXButton fx:id="button_female" layoutX="98.0" layoutY="25.0" prefHeight="28.0" prefWidth="28.0" />
                     </children>
                  </AnchorPane>
               </children>
            </HBox>
            <AnchorPane prefHeight="66.0" prefWidth="734.0">
               <children>
                  <JFXListView fx:id="list_subspaces" layoutY="1.0" orientation="HORIZONTAL" prefHeight="42.0" prefWidth="778.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0" />
                  <AnchorPane layoutX="6.0" layoutY="45.0">
                     <children>
                        <Label fx:id="label_status" prefHeight="26.0" prefWidth="549.0" text="Workspace: Null" />
                        <ProgressBar fx:id="progress_bar" layoutX="548.7999877929688" prefHeight="20.0" prefWidth="194.0" progress="0.0" AnchorPane.bottomAnchor="4.0" />
                     </children>
                  </AnchorPane>
               </children>
            </AnchorPane>
         </children>
      </VBox>
   </children>
</VBox>
